Dieser Inhalt ist in der von Ihnen ausgewählten Sprache nicht verfügbar.

5.5. Delete SSH Key


Description

Delete an SSH key from a user account.

Method and URL Structure

Expand
Method Resource URL
DELETE /broker/rest/user/keys/:name

Request Parameters

Not applicable

cURL Command Example

$ curl -X DELETE https://openshift.redhat.com/broker/rest/user/keys/mysshkey --user user@example.com:password

JSON Response

{
  "api_version": 1.6,
  "data": null,
  "messages": [
    {
      "exit_code": 0,
      "field": null,
      "severity": "info",
      "text": "Deleted SSH key mysshkey"
    }
  ],
  "status": "ok",
  "supported_api_versions": [
	    1.0,
	    1.1,
	    1.2,
	    1.3,
	    1.4,
	    1.5,
	    1.6
	],
	"type": null,
	"version": "1.6"
}

The API returns an error message if the SSH key to be deleted is not found.
{
    "api_version": 1.6,
    "data": null,
    "messages": [
        {
            "exit_code": 118,
            "field": null,
            "severity": "error",
            "text": "User ssh key 'fakekey' not found."
        }
    ],
    "status": "not_found",
    "supported_api_versions": [
	    1.0,
	    1.1,
	    1.2,
	    1.3,
	    1.4,
	    1.5,
	    1.6
	  ],
	  "type": null,
	  "version": "1.6"
}
Red Hat logoGithubredditYoutubeTwitter

Lernen

Testen, kaufen und verkaufen

Communitys

Über Red Hat

Wir liefern gehärtete Lösungen, die es Unternehmen leichter machen, plattform- und umgebungsübergreifend zu arbeiten, vom zentralen Rechenzentrum bis zum Netzwerkrand.

Mehr Inklusion in Open Source

Red Hat hat sich verpflichtet, problematische Sprache in unserem Code, unserer Dokumentation und unseren Web-Eigenschaften zu ersetzen. Weitere Einzelheiten finden Sie in Red Hat Blog.

Über Red Hat Dokumentation

Legal Notice

Theme

© 2026 Red Hat
Nach oben